解决swiper3.0版本在IE浏览器不兼容问题以及VUE箭头函数在IE浏览器里面不兼容

VUE箭头函数在IE浏览器不兼容

myArray.forEach(=>{

.....................

}

    把=>改成function(xxx)

IE不支持很多VUE的写法,自己可以参考一下ES6

 

swiper3.0版本在IE上兼容性很差的,公司最新的项目用了3.0的swiper在谷歌浏览器上OK,但是到了IE  9 10 11就没办法正常显示,鉴于这种我自己采取一种办法

首先html代码就一份,要控制好两个浏览器的样式,可以采取根据判断浏览器的类型加载不同的样式。

如果在swiper还有一些样式比如图片加文字排版还是乱的在IE上可以采取一个固定的高度来控制,尽量解决这种兼容性问题真的很头大,参考网上的别人的问题跟自己开发的还是有很大不同,所以遇到问题还是要自己要能够灵活的运用各种知识,多去尝试。

 

下面是判断浏览器的类型,我是做谷歌和IE的适配所以就写了两个,如果多的话可以自己加代码。

 

多读书  

遇到问题多思考

难题不要退

解决了就是一次又一次的自我超越

加油

展开阅读全文

没有更多推荐了,返回首页